Bug 6695 - Layout of patron category add/edit form slightly broken
Summary: Layout of patron category add/edit form slightly broken
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) trivial (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Bugs List
URL: /cgi-bin/koha/admin/categorie.pl?op=a...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-10 09:49 UTC by Katrin Fischer
Modified: 2013-12-05 20:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
screenshot (16.93 KB, image/png)
2011-08-10 09:49 UTC, Katrin Fischer
Details
Proposed fix (6.35 KB, patch)
2011-08-10 15:25 UTC, Owen Leonard
Details | Diff | Splinter Review
Screenshot of the revised interface (8.23 KB, image/png)
2011-08-10 15:27 UTC, Owen Leonard
Details
[SIGNED-OFF] Fix for Bug 6695 - Layout of patron category add/edit form slightly broken (6.58 KB, patch)
2011-08-11 17:37 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2011-08-10 09:49:09 UTC
Created attachment 4922 [details]
screenshot

Fields are not beginning in one line and 'Until:' shows up under 'months'.
Comment 1 Owen Leonard 2011-08-10 15:25:05 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2011-08-10 15:27:31 UTC
Created attachment 4946 [details]
Screenshot of the revised interface
Comment 3 Katrin Fischer 2011-08-11 17:37:45 UTC
Created attachment 4970 [details] [review]
[SIGNED-OFF] Fix for Bug 6695 - Layout of patron category add/edit form slightly broken

The markup for the fields for enrollment period "in months" and "until date"
was non-standard I think because the two fields are supposed to be visually
and functionally linked (having the same purpose and being mutually
exclusive).

This patch changes the markup so that the two fields share a fieldset
having "choose one" as the legend. The "hint" is now hidden unless
it is triggered by the javascript validation on submit.

I wanted to trigger the validation of the two fields onblur instead
of just onsubmit, but found that the datepicker widget doesn't
consistently trigger a change or a blur event on that field.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
- Layout problems are fixed
- Layout is more clear about choosing either 'In months' or 'Until date'
- Clear error message shows when you enter values in both fields
Comment 4 Ian Walls 2011-08-25 01:58:28 UTC
Template only change, easy to read, well tested, marking as Passed QA
Comment 5 Chris Cormack 2011-08-25 23:26:08 UTC
Pushed, please test
Comment 6 Chris Nighswonger 2011-10-26 18:02:37 UTC
The fix for this bug was published in the 3.4.5 release. If you were the reporter of this bug, please take time to verify the fix and update the status of this bug report accordingly. If the bug is fixed to your satisfaction, please close this report.
Comment 7 Jared Camins-Esakov 2012-12-31 00:21:47 UTC
There have been no further reports of problems so I am marking this bug resolved.